{
  "custom": {
    "activityLogger": {
      "start_time": {
        "$": [
          "ts",
          192,
          1709760479262
        ],
        "$ts": 1709760479262
      }
    },
    "show_alarms": false
  },
  "events": {
    "system": {
      "onShutdown": {
        "config": {
          "script": "\tactivityLog.logger.callLogger(self, \u0027page\u0027)\n\tactivityLog.productMetrics.callLogger(self, \u0027page\u0027)"
        },
        "scope": "G",
        "type": "script"
      },
      "onStartup": {
        "config": {
          "script": "\tself.custom.activityLogger.start_time \u003d system.date.now()"
        },
        "scope": "G",
        "type": "script"
      }
    }
  },
  "params": {
    "detailedView": "",
    "plcTagPath": ""
  },
  "propConfig": {
    "custom.activityLogger": {
      "persistent": true
    },
    "custom.activityLogger.alt_pageid": {
      "binding": {
        "config": {
          "expression": "\"detailed_views/\"+ {view.params.detailedView}"
        },
        "type": "expr"
      }
    },
    "custom.activityLogger.pageid": {
      "binding": {
        "config": {
          "expression": "{page.props.path}"
        },
        "transforms": [
          {
            "code": "\tif value \u003d\u003d\u0027/\u0027 or value \u003d\u003d \u0027\u0027 or value \u003d\u003d None:\n\t\treturn self.custom.activityLogger.alt_pageid.lower()\n\telse:\n\t\treturn value[1:].lower()",
            "type": "script"
          }
        ],
        "type": "expr"
      }
    },
    "custom.show_alarms": {
      "persistent": true
    },
    "params.detailedView": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.plcTagPath": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 1080,
      "width": 1920
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "EmbeddedView"
            },
            "position": {
              "basis": "320px",
              "grow": 1
            },
            "propConfig": {
              "props.params.PLCTagPath": {
                "binding": {
                  "config": {
                    "path": "view.params.plcTagPath"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "path": "Alarm-Views/Docked-Alarm"
            },
            "type": "ia.display.view"
          }
        ],
        "custom": {
          "key": "value"
        },
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "basis": "130px",
          "display": false
        },
        "scripts": {
          "customMethods": [],
          "extensionFunctions": null,
          "messageHandlers": [
            {
              "messageType": "show-south-dock",
              "pageScope": true,
              "script": "\tshow \u003d payload[\"show_alarms\"]\n\tsystem.perspective.print(show)\n\tself.position.display \u003d show",
              "sessionScope": true,
              "viewScope": false
            }
          ]
        },
        "type": "ia.container.flex"
      },
      {
        "meta": {
          "name": "EmbeddedView"
        },
        "position": {
          "basis": "320px",
          "grow": 1
        },
        "propConfig": {
          "props.path": {
            "binding": {
              "config": {
                "expression": "\"Detailed-Views/\"+ {view.params.detailedView}"
              },
              "type": "expr"
            }
          }
        },
        "type": "ia.display.view"
      }
    ],
    "events": {
      "dom": {
        "onClick": {
          "config": {
            "id": "Docked-East",
            "type": "close"
          },
          "scope": "C",
          "type": "dock"
        }
      }
    },
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}